---------------------------------------------------------------
--
--                    Top Graph'X
--
-- For any information call J.C. Mahieux :
-- Tel : (33) 1 69 26 97 88
-- Fax : (33) 1 69 26 97 89
--
-- Top Graph'X - 10 Allee de la Mare Jacob
--               91290 La Norville- FRANCE
--
---------------------------------------------------------------
--
------------------ Distribution and Copyright -----------------
--
-- This Ada language binding to the PEX extension to the X Window System
-- inherits the Sun Microsystem copyright. The following copyright must
-- be included in all software utilising this binding.
--
-- Copyright 1992 J.C. Mahieux and B. Maudry
-- Copyright 1989, 1990, 1991 by Sun Microsystems, Inc. and the X Consortium.
--
--   
--   Package : Pex_Escape
--    
--   Version : 5.1
--    
--   Subject : PEX Extension Escape functions
--
--        Escape
--        Escape_With_Reply
--
--        Set_Echo_Color
--
with X_Types ;
with Pex_Types ;

package Pex_Escape is

    use X_Types ;
    use Pex_Types ;

    --=============================================================== =====
    --  <Subprogram Name>
    --
    --  Escape 
    --
    --  <Description>
    --
    --
    --  <Parameters>
    --
    --  Display_Id : The X Server connection.
    --  Code       :
    --  Data       :
    --
    --  <Errors Raised>
    --
    --=============================================================== =====

    procedure Escape ( Display_Id : in Display ;
                       Code       : in Escape_Id ;
                       Data       : in Data_Record ) ;
    
    --=============================================================== =====
    --  <Subprogram Name>
    --
    --  Escape_With_Reply 
    --
    --  <Description>
    --
    --
    --  <Parameters>
    --
    --  Display_Id : The X Server connection.
    --  Code_In    :
    --  Data_In    :
    --  Code_Out   :
    --  Data_Out   :
    --  
    --
    --  <Errors Raised>
    --
    --=============================================================== =====

    procedure Escape_With_Reply ( Display_Id : in Display ;
                                  Code_In    : in Escape_Id ;
                                  Data_In    : in Data_Record ;
                                  Code_Out   : out Escape_Id ;
                                  Data_Out   : out Data_Record ) ;
    
    --=============================================================== =====
    --  <Subprogram Name>
    --
    --  Set_Echo_Color
    --
    --  <Description>
    --
    --
    --  <Parameters>
    --
    --  Display_Id : The X Server connection.
    --  Code       :
    --  Data       :
    --
    --  <Errors Raised>
    --
    --=============================================================== =====

    procedure Set_Echo_Color ( Display_Id  : in Display ;
                               Renderer_Id : in Renderer ;
                               Color       : in Color_Representation ) ;
    
end Pex_Escape ;
